Программа: PHP 4.4.6 / 5.2.1

Уязвимость позволяет локальному злоумышленнику выполнить произвольный код на целевой системе.

1) Уязвимость существует из-за ошибки в проверке входных данных в функции hash_update_file(). Атакующий может передать специально сформированные данные, что при совместном эксплуатировании с уязвимостью в функции substr_compare() приведет к выполнению произвольного кода.

Эксплоит

2) Уязвимость существует из-за ошибки в проверке входных данных в функциях, работающих с графическими изображениями, при использовании GD библиотеки. Атакующий может передать специально сформированные данные, что при совместном эксплуатировании с уязвимостью в функции substr_compare() приведет к выполнению произвольного кода.

Эксплоит



Оставить мнение